%define aname sansimera_qt

Name:           sansimera-qt
Version:        1.1.0
Release:        %mkrel 4
Group:          Networking/News
Summary:        Greek namedays and events of the day back in the history
License:        GPLv3
URL:            https://github.com/dglent/sansimera-qt
Source0:        https://github.com/dglent/sansimera-qt/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         0001-Switch-to-https.patch
Patch2:         0002-Use-Resampling.LANCZOS-instead.patch
Patch3:         0003-Use-Resampling.LANCZOS-instead.patch
BuildArch:      noarch

BuildRequires:  python3-qt5-devel
BuildRequires:  imagemagick

Requires:       python3-qt5
Requires:       python3-pillow
Requires:       python3-beautifulsoup4
Requires:       python3-urllib3
Requires:       python3-requests
Requires:       wget


%description
A Qt system tray application which shows the events back in the history
from the website www.sansimera.gr and the namedays from www.saint.gr
in Greek language.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%__mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32}/apps
convert -scale 16x16 sansimera_qt/images/sansimera-qt.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/sansimera-qt.png
convert -scale 32x32 sansimera_qt/images/sansimera-qt.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/sansimera-qt.png

%files
%doc README.md LICENSE.md
%{_datadir}/%{aname}/images/
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{aname}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/sansimera-qt.png


%changelog
* Mon Mar 10 2025 neoclust <neoclust> 1.1.0-4.mga10
+ Revision: 2162431
- Rebuild against new python 3.13

* Thu Feb 13 2025 daviddavid <daviddavid> 1.1.0-3.mga10
+ Revision: 2148536
- merge upstream patches as of 20240620

* Fri Jan 05 2024 daviddavid <daviddavid> 1.1.0-2.mga10
+ Revision: 2027750
- rebuild for py3.12

* Thu Oct 12 2023 dglent <dglent> 1.1.0-1.mga10
+ Revision: 1994937
- Version 1.1.0

* Fri Sep 22 2023 daviddavid <daviddavid> 1.0.0-3.mga10
+ Revision: 1989345
- stop using old python3-sip

* Wed Apr 06 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845941
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 1.0.0-1.mga9
+ Revision: 1779434
- version 1.0.0
- rebuild for python-3.10

* Wed Mar 24 2021 tv <tv> 0.8.1-2.mga9
+ Revision: 1708756
- rebuild for python 3.9

* Mon Mar 22 2021 daviddavid <daviddavid> 0.8.1-1.mga9
+ Revision: 1707809
- new version: 0.8.1
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.6.2-2.mga8
+ Revision: 1532149
- Mageia 8 Mass Rebuild
+ dglent <dglent>
- Version 0.6.2
- Version 0.6.1
- Version 0.6.0

* Sun Sep 15 2019 daviddavid <daviddavid> 0.5.2-3.mga8
+ Revision: 1441721
- rebuild for python3.8

* Fri Jan 11 2019 dglent <dglent> 0.5.2-2.mga7
+ Revision: 1354746
- Rebuild for Python 3.7

* Wed Dec 05 2018 dglent <dglent> 0.5.2-1.mga7
+ Revision: 1338392
- Version 0.5.2

* Fri Sep 21 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1291466
- Mageia 7 Mass Rebuild

* Sun Mar 18 2018 neoclust <neoclust> 0.5.1-1.mga7
+ Revision: 1210235
- imported package sansimera-qt

